Skip to main content
PUT
/
api2
/
v2
/
projects
/
{projectUid}
Edit project
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "archived": true,
  "customFields": [
    {
      "selectedOptions": [
        {
          "uid": "<string>"
        }
      ],
      "value": "<string>"
    }
  ],
  "dateDue": "2023-11-07T05:31:56Z",
  "fileHandover": true,
  "lqaProfiles": [
    {}
  ],
  "note": "<string>",
  "propagateTranslationsToLowerWfDuringUpdateSource": true,
  "purchaseOrder": "<string>"
}
'
{
  "userRole": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "id": "<string>",
  "internalId": 123,
  "mtSettingsPerLanguageList": [
    {
      "targetLang": "<string>",
      "machineTranslateSettings": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "uid": "<string>"
      }
    }
  ],
  "name": "<string>",
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "references": [
    {
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "id": "<string>",
      "note": "<string>",
      "uid": "<string>"
    }
  ],
  "sourceLang": "<string>",
  "subDomain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "targetLangs": [
    "<string>"
  ],
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Unique identifier of the project

Body

application/json

Project fields to update

name
string
required
Maximum string length: 255
archived
boolean

When true, archives the project

businessUnit
object
client
object
customFields
object[]

Custom fields for project

dateDue
string<date-time>

Due date for the project

domain
object
fileHandover
boolean

When true, enables file handover for the project

lqaProfiles
object[]

Lqa profiles that will be added to workflow steps

note
string

Internal note for the project

Maximum string length: 4096
owner
object
propagateTranslationsToLowerWfDuringUpdateSource
boolean

When true, propagates translations to lower workflow steps when updating the source file

purchaseOrder
string

Purchase order number

Maximum string length: 255
status
enum<string>

Project status

Available options:
NEW,
ASSIGNED,
COMPLETED,
ACCEPTED_BY_VENDOR,
DECLINED_BY_VENDOR,
COMPLETED_BY_VENDOR,
CANCELLED
subDomain
object

Response

OK

Base projectDto

userRole
string
required
read-only

Response differs based on user's role

dateCreated
string<date-time>

Date the project was created

domain
object
id
string

Internal numeric identifier, encoded as a string

internalId
integer<int32>

Sequential numeric identifier scoped to the organization (first project in the org is 1)

mtSettingsPerLanguageList
object[]

Machine translation settings per target language

name
string

Project name

owner
object
references
object[]

Reference files attached to the project

sourceLang
string

Source language code

status
enum<string>

Project status; one of NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED. Null when the organization hides progress and status from non-linguist, non-bot callers.

Available options:
NEW,
ASSIGNED,
COMPLETED,
ACCEPTED_BY_VENDOR,
DECLINED_BY_VENDOR,
COMPLETED_BY_VENDOR,
CANCELLED
subDomain
object
targetLangs
string[]

Target language codes

uid
string

Unique identifier used in API paths